Skip to content
Projects
Groups
Snippets
Help
Loading...
Help
Support
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in / Register
Toggle navigation
M
mariadb
Project overview
Project overview
Details
Activity
Releases
Repository
Repository
Files
Commits
Branches
Tags
Contributors
Graph
Compare
Issues
0
Issues
0
List
Boards
Labels
Milestones
Merge Requests
0
Merge Requests
0
Analytics
Analytics
Repository
Value Stream
Wiki
Wiki
Snippets
Snippets
Members
Members
Collapse sidebar
Close sidebar
Activity
Graph
Create a new issue
Commits
Issue Boards
Open sidebar
Kirill Smelkov
mariadb
Commits
10833287
Commit
10833287
authored
Jun 17, 2006
by
kent@mysql.com
Browse files
Options
Browse Files
Download
Plain Diff
Merge mysql.com:/Users/kent/mysql/bk/mysql-4.1-new
into mysql.com:/Users/kent/mysql/bk/mysql-5.0-new
parents
ed6ff123
eadd3510
Changes
1
Hide whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
33 additions
and
16 deletions
+33
-16
scripts/make_win_src_distribution.sh
scripts/make_win_src_distribution.sh
+33
-16
No files found.
scripts/make_win_src_distribution.sh
View file @
10833287
#!/bin/sh
#!/bin/sh
# Terminate loudly on error, we don't want partial package
set
-e
trap
"echo '*** script failed ***'"
0
#
#
# Script to create a Windows src package
# Script to create a Windows src package
#
#
version
=
@VERSION@
version
=
@VERSION@
export
version
CP
=
"cp -p"
CP
=
"cp -p"
DEBUG
=
0
DEBUG
=
0
...
@@ -199,7 +202,7 @@ copy_dir_files()
...
@@ -199,7 +202,7 @@ copy_dir_files()
print_debug
"Creating directory '
$arg
'"
print_debug
"Creating directory '
$arg
'"
mkdir
$BASE
/
$arg
mkdir
$BASE
/
$arg
fi
fi
for
i
in
*
.c
*
.cpp
*
.h
*
.ih
*
.i
*
.ic
*
.asm
*
.def
*
.hpp
\
for
i
in
*
.c
*
.cpp
*
.h
*
.ih
*
.i
*
.ic
*
.asm
*
.def
*
.hpp
*
.yy
\
README INSTALL
*
LICENSE AUTHORS NEWS ChangeLog
\
README INSTALL
*
LICENSE AUTHORS NEWS ChangeLog
\
*
.inc
*
.test
*
.result
*
.pem Moscow_leap des_key_file
\
*
.inc
*
.test
*
.result
*
.pem Moscow_leap des_key_file
\
*
.vcproj
*
.sln
*
.dat
*
.000001
*
.require
*
.opt
*
.vcproj
*
.sln
*
.dat
*
.000001
*
.require
*
.opt
...
@@ -260,7 +263,7 @@ done
...
@@ -260,7 +263,7 @@ done
#
#
# Create project files for ndb
# Create project files for ndb
#
#
make
-C
$SOURCE
/ndb windoze
make
-C
$SOURCE
/ndb windoze
||
true
#
#
# Input directories to be copied recursively
# Input directories to be copied recursively
...
@@ -336,8 +339,17 @@ done
...
@@ -336,8 +339,17 @@ done
# Fix some windows files to avoid compiler warnings
# Fix some windows files to avoid compiler warnings
#
#
./extra/replace std::
""
<
$BASE
/sql/sql_yacc.cpp |
sed
'/^ *switch (yytype)$/ { N; /\n *{$/ { N; /\n *default:$/ { N; /\n *break;$/ { N; /\n *}$/ d; };};};} '
>
$BASE
/sql/sql_yacc.cpp-new
if
[
-x
extra/replace
]
;
then
mv
$BASE
/sql/sql_yacc.cpp-new
$BASE
/sql/sql_yacc.cpp
./extra/replace std::
""
<
$BASE
/sql/sql_yacc.cpp |
\
sed
'/^ *switch (yytype)$/ { N; /\n *{$/ { N; /\n *default:$/ { N; /\n *break;$/ { N; /\n *}$/ d; };};};} '
\
>
$BASE
/sql/sql_yacc.cpp-new
mv
$BASE
/sql/sql_yacc.cpp-new
$BASE
/sql/sql_yacc.cpp
else
if
[
"
$SILENT
"
=
"0"
]
;
then
echo
'WARNING: "extra/replace" not built, can not filter "sql_yacc.ccp"'
echo
'WARNING: to reduce the number of warnings when building'
fi
fi
#
#
# Search the tree for plain text files and adapt the line end marker
# Search the tree for plain text files and adapt the line end marker
...
@@ -351,8 +363,6 @@ find $BASE \( -name "*.cnf" -o -name "*.ini" \
...
@@ -351,8 +363,6 @@ find $BASE \( -name "*.cnf" -o -name "*.ini" \
do
do
unix_to_dos
$v
unix_to_dos
$v
done
done
# File extension '.txt' matches too many other files, error messages etc.
unix_to_dos
$BASE
/Docs/
*
.txt
mv
$BASE
/README
$BASE
/README.txt
mv
$BASE
/README
$BASE
/README.txt
...
@@ -360,19 +370,23 @@ mv $BASE/README $BASE/README.txt
...
@@ -360,19 +370,23 @@ mv $BASE/README $BASE/README.txt
# Clean up if we did this from a bk tree
# Clean up if we did this from a bk tree
#
#
if
[
-d
$BASE
/SSL/SCCS
]
find
$BASE
-type
d
\(
-name
SCCS
-o
-name
.deps
-o
-name
.libs
\)
-print0
|
\
then
xargs
-0
rm
-r
-f
find
$BASE
/
-type
d
-name
SCCS
-printf
"
\"
%p
\"
"
| xargs
rm
-r
-f
fi
find
$BASE
/
-type
d
-name
.deps
-printf
"
\"
%p
\"
"
| xargs
rm
-r
-f
find
$BASE
/
-type
d
-name
.libs
-printf
"
\"
%p
\"
"
| xargs
rm
-r
-f
rm
-r
-f
"
$BASE
/mysql-test/var"
rm
-r
-f
"
$BASE
/mysql-test/var"
#
#
# Initialize the initial data directory
# Initialize the initial data directory
#
#
if
[
-f
scripts/mysql_install_db
]
;
then
if
[
!
-f
scripts/mysql_install_db
]
;
then
if
[
"
$SILENT
"
=
"0"
]
;
then
echo
'WARNING: "scripts/mysql_install_db" is not built, can not initiate databases'
fi
elif
[
!
-f
extra/my_print_defaults
]
;
then
if
[
"
$SILENT
"
=
"0"
]
;
then
echo
'WARNING: "extra/my_print_defaults" is not built, can not initiate databases'
fi
else
print_debug
"Initializing the 'data' directory"
print_debug
"Initializing the 'data' directory"
scripts/mysql_install_db
--no-defaults
--windows
--datadir
=
$BASE
/data
scripts/mysql_install_db
--no-defaults
--windows
--datadir
=
$BASE
/data
if
test
"
$?
"
=
1
if
test
"
$?
"
=
1
...
@@ -453,7 +467,7 @@ set_tarzip_options()
...
@@ -453,7 +467,7 @@ set_tarzip_options()
OPT
=
cvf
OPT
=
cvf
EXT
=
".tar"
EXT
=
".tar"
NEED_COMPRESS
=
1
NEED_COMPRESS
=
1
if
[
"
$
SILENT
"
=
"1
"
]
;
then
if
[
"
$
DEBUG
"
=
"0
"
]
;
then
OPT
=
cf
OPT
=
cf
fi
fi
else
else
...
@@ -462,7 +476,7 @@ set_tarzip_options()
...
@@ -462,7 +476,7 @@ set_tarzip_options()
OPT
=
"-r"
OPT
=
"-r"
EXT
=
".zip"
EXT
=
".zip"
NEED_COMPRESS
=
0
NEED_COMPRESS
=
0
if
[
"
$
SILENT
"
=
"1
"
]
;
then
if
[
"
$
DEBUG
"
=
"0
"
]
;
then
OPT
=
"
$OPT
-q"
OPT
=
"
$OPT
-q"
fi
fi
fi
fi
...
@@ -525,4 +539,7 @@ fi
...
@@ -525,4 +539,7 @@ fi
print_debug
"Removing temporary directory"
print_debug
"Removing temporary directory"
rm
-r
-f
$BASE
rm
-r
-f
$BASE
# No need to report anything if we got here
trap
""
0
# End of script
# End of script
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment